Subject: Re: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Richard Stallman <[email-masked]>
Date: Fri, 23 Feb 2024 03:04:25 +0000

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > My command boils down to using `use-region-p'.  This makes usage
  > together with `transient-mark-mode' intuitive, because if you can see
  > the selection, you kill a region, otherwise a word is deleted.

That seems natural.

Have you tried putting this on M-d?  It could be convenient but it
could instead be disturbing and surprising.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)